#!/bin/sh

# Install script for Pere dictionary sources in CSV format (UTF-8 only).
#
# VERSION: 0.2.0
#
# Copyright (C) 2006 Valentyn Solomko, All Rights Reserved.
# Distributed under the terms of the GNU General Public License v2

pfx=$1
csv=$2

if [ "${pfx}" == "" ]  && [ "${csv}" == "" ]; then
	echo "Using: $0 <dictionary prefix> <inputfile>"
	echo "where"
	echo "	<dictionary prefix> is path to pere database directory"
	echo "	<inputfile> is name of pere dictionary in CSV (UTF-8 only)"
	echo
	echo "pere dictionaries available here "
	echo "	http://pere.org.ua/ (project page)"
	echo "	http://sourceforge.net/project/showfiles.php?group_id=81231 (download page)"
elif [ "${csv}" == "" ] || [ ! -f ${csv} ]; then
	echo "Error: Please specify valid inputfile"
	echo
else
	echo
	echo "Generating dictionary"
	echo

	if [ ! -d ${pfx} ]; then
		mkdir -p ${pfx}
	fi

	pere-dmp2dic -pfx=${pfx} -csv=${csv} -ovr
	pere-confupd -rut=${pfx}
fi
